Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(3478)

Unified Diff: build/install-chroot.sh

Issue 11570071: Use dpkg --add-architecture if it's available. (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src
Patch Set: redirect last Created 8 years ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: build/install-chroot.sh
diff --git a/build/install-chroot.sh b/build/install-chroot.sh
index e49726d599720a9fb8db6b3bc67e8220f7ef8486..155fc798b267237fad721a423b15a9e83c1b7f7e 100755
--- a/build/install-chroot.sh
+++ b/build/install-chroot.sh
@@ -587,9 +587,12 @@ sudo "/usr/local/bin/${target%bit}" dpkg --assert-multi-arch >&/dev/null &&
sudo sed -i 's/ / [arch=amd64,i386] /' \
"/var/lib/chroot/${target}/etc/apt/sources.list"
[ -d /var/lib/chroot/${target}/etc/dpkg/dpkg.cfg.d/ ] &&
- echo foreign-architecture \
- $([ "${arch}" = "32bit" ] && echo amd64 || echo i386) |
- sudo sh -c "cat >'/var/lib/chroot/${target}/etc/dpkg/dpkg.cfg.d/multiarch'"
+ sudo "/usr/local/bin/${target%bit}" dpkg --add-architecture \
+ $([ "${arch}" = "32bit" ] && echo amd64 || echo i386) >&/dev/null ||
+ echo foreign-architecture \
+ $([ "${arch}" = "32bit" ] && echo amd64 || echo i386) |
+ sudo sh -c \
+ "cat >'/var/lib/chroot/${target}/etc/dpkg/dpkg.cfg.d/multiarch'"
}
# Configure "sudo" package
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698